#!/bin/bash
USERSTRING=$(whoami)
mkdir /home/$USERSTRING/.config/autorun
mkdir /home/$USERSTRING/autostart
mkdir /home/$USERSTRING/.config/autostart
mkdir /home/$USERSTRING/.autorun
cp ./rocket.png  /home/$USERSTRING/.config/autorun/rocket.png
echo "Сейчас будет установлена программа, предназначенная для автоматического выполнения скрипта autorun.sh при каждой загрузке вашей операционнй системы. В дальнейшем ее можно будет запустить через ярлык из Dash-панели или командой 'autorun' из терминала. В конце откроется тектовый редактор gedit, где вы сможете отредактировать содержимое скрипта."
sleep 2
cd /home/$USERSTRING/.autorun
sudo apt -y install g++
sudo apt -y gedit
touch autorun.cpp
echo "#include <string>" >> autorun.cpp
echo '#include "unistd.h"' >> autorun.cpp
echo "int main ()" >> autorun.cpp
echo "{" >> autorun.cpp
echo 'system("sh ~/.autorun/autorun.sh");' >> autorun.cpp
echo "}" >> autorun.cpp
g++ -Wall -o autorun autorun.cpp
echo "#!/bin/bash" >> /home/$USERSTRING/.autorun/autorun.sh
echo "gedit ~/.autorun/autorun.sh&" >> /home/$USERSTRING/.autorun/autorun.sh
sudo chmod +x /home/$USERSTRING/.autorun/autorun.sh
sudo cp autorun /usr/local/bin/autorun
echo "[Desktop Entry]" >> autorun.desktop
echo "Name=Autorun" >> autorun.desktop
echo "Comment=Autorun" >> autorun.desktop
echo "Categories=Utility;" >> autorun.desktop
echo "Exec=autorun" >> autorun.desktop 
echo "Icon=/home/$USERSTRING/.config/autorun/rocket.png" >> autorun.desktop
echo "Terminal=false" >> autorun.desktop
echo "Type=Application" >> autorun.desktop
echo "Keywords=Autorun;" >> autorun.desktop
echo "X-GNOME-Autostart-Delay=20" >> autorun.desktop

cp autorun.desktop /home/$USERSTRING/.config/autostart/autorun.desktop
cp autorun.desktop /home/$USERSTRING/.local/share/applications/autorun.desktop

rm autorun.desktop
rm autorun
rm autorun.cpp
autorun
